List transactions

Returns paginated transaction reporting rows for the caller's accessible entity hierarchy. A combination of fields, conditions, sort parameters, and pagination can be used to filter the transaction data set.

Filtering

Any filterable field can be combined with a condition using the field:condition=value query-parameter syntax (a bare field=value means equals). Available conditions:

ConditionSQL equivalent
eq=
neq!=
gt>
gte>=
lt<
lte<=
nnIS NOT NULL
nullIS NULL
emptyequals the empty string
likeILIKE '%value%'
inIN ('x','y','z') (comma-delimited values)
betweenBETWEEN x AND y (two comma-delimited values)

Filterable fields (with types): uuid, numericid (INT), companyuuid, companyname, categoryuuid, category, amount (INT, cents), batchedat (TIMESTAMP), batchuuid, batchnumericid (INT), createdat (TIMESTAMP), effectivedate (TIMESTAMP), externaluniqueid, method, name, accounttype, routingnumber, accountnumber, latereturnedat (TIMESTAMP), returncode, returnedat (TIMESTAMP), returnreason, returnnumericid, returnuuid, expectedtosettleat (TIMESTAMP), latereturnsettlementprocessedat (TIMESTAMP), latereturnsettmentuuid, latereturnsettlementnumericid, settlementprocessedat (TIMESTAMP), settlementuuid, settlementnumericid (INT), changecode, changereason, changedat (TIMESTAMP), nocreceivedat (TIMESTAMP), changenewvalue (JSONB), changeoldvalue (JSONB), standardentryclasscode, status, type, holdreason, releasedat (TIMESTAMP), voidedat (TIMESTAMP), isduplicate (BOOLEAN), sequenceuuid, historicalid, panfirstsix, panlastfour, issameday (BOOLEAN).

Sorting

Use sort=<field> (ORDER BY equivalent) with sortDir=ASC|DESC for the sort direction.

Examples

Debit transactions between $10.00 and $50.00 (amounts in cents):
/reporting/transactions?page=0&pageSize=50&amount:gt=1000&amount:lt=5000&type=Debit

Transactions created after January 1st 2025, sorted ascending by id:
/reporting/transactions?page=0&pageSize=10&createdat:gt=2025-01-01T00:00:00Z&sort=id&sortDir=ASC

Query Params
uuid

Entity UUID to access transactions as Required when authenticating with a Bearer token; may be omitted with Basic (API key) authentication, where the entity is resolved from the API key.

integer
required
Defaults to 0

Zero-based page index

integer
required
Defaults to 100

Results per page

string
Defaults to createdAt

Sort field

string
enum
Defaults to desc

Sort direction

Allowed:
boolean
Defaults to true

Include aggregate totals in response

string

Filter by payment method (ACH, RCC, RTP, CRD)

string

Filter by transaction status

string

Filter by transaction type (Debit, Credit)

string

Filter by creation date — start (RFC3339)

string

Filter by creation date — end (RFC3339)

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json